org.apache.storm.metricstore

## Enum AggLevel

- java.lang.Object
- - java.lang.Enum<AggLevel>
  - - org.apache.storm.metricstore.AggLevel

- All Implemented Interfaces:
    Serializable, Comparable<AggLevel>

      public enum AggLevel
      extends Enum<AggLevel>

  Specifies the available timeframes for Metric aggregation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGG_LEVEL_1_MIN`
    `AGG_LEVEL_10_MIN`
    `AGG_LEVEL_60_MIN`
    `AGG_LEVEL_NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getValue()`
    `static AggLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AggLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AGG_LEVEL_NONE

          public static final AggLevel AGG_LEVEL_NONE

    - #### AGG_LEVEL_1_MIN

          public static final AggLevel AGG_LEVEL_1_MIN

    - #### AGG_LEVEL_10_MIN

          public static final AggLevel AGG_LEVEL_10_MIN

    - #### AGG_LEVEL_60_MIN

          public static final AggLevel AGG_LEVEL_60_MIN

  - ### Method Detail

    - #### values

          public static AggLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggLevel c : AggLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public byte getValue()

Copyright © 2021 The Apache Software Foundation. All rights reserved.